Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractTariffCounter

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractTariffCounter

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractTariffCounter extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffCounter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TariffCounterType`
  `getCounterType()`
  `int`
  `getEntityId()`
  `int`
  `getModuleId()`
  `long`
  `getTariffNodeKey()`
  `boolean`
  `isRedefined()`
  `ContractTariffCounter`
  `setCounterType(TariffCounterType counterType)`
  `ContractTariffCounter`
  `setEntityId(int entityId)`
  `ContractTariffCounter`
  `setId(int id)`
  Устанавливает id объекта
  `ContractTariffCounter`
  `setModuleId(int moduleId)`
  `ContractTariffCounter`
  `setRedefined(boolean redefined)`
  `ContractTariffCounter`
  `setTariffNodeKey(long tariffNodeKey)`
  `ContractTariffCounter`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractTariffCounter

    public ContractTariffCounter()

- ## Method Details

  - ### getCounterType

    public TariffCounterType getCounterType()

  - ### getEntityId

    public int getEntityId()

  - ### getModuleId

    public int getModuleId()

  - ### getTariffNodeKey

    public long getTariffNodeKey()

  - ### isRedefined

    public boolean isRedefined()

  - ### setCounterType

    public ContractTariffCounter setCounterType(TariffCounterType counterType)

  - ### setEntityId

    public ContractTariffCounter setEntityId(int entityId)

  - ### setId

    public ContractTariffCounter setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setModuleId

    public ContractTariffCounter setModuleId(int moduleId)

  - ### setRedefined

    public ContractTariffCounter setRedefined(boolean redefined)

  - ### setTariffNodeKey

    public ContractTariffCounter setTariffNodeKey(long tariffNodeKey)

  - ### setTitle

    public ContractTariffCounter setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`